Custody providers

Update Custody Wallet

Updates a custody wallet's display name and/or link after Zod validation.

POSThttps://api.toku.com/tga/update-custody-wallet

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/update-custody-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "custodyWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "walletName": "string",
  "walletLink": "string"
}'
200 response
{
  "success": true,
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

custodyWalletIDstring<uuid>required
walletNamestring

Allowed: 1 to 255 characters

walletLinkstring<uri> | any

Response

200Successful response
successbooleanrequired
messagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits